=== BASICS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for basic_lib of the CLIB library
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Sun Jul  6 22:55:11 MET DST 1997
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = BASICS
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

# Build the  library

BASIC_LIB = clb_error.o clb_memory.o clb_os_wrapper.o \
            clb_dstrings.o clb_verbose.o\
            clb_stringtrees.o clb_numtrees.o clb_floattrees.o clb_pstacks.o\
            clb_pqueue.o clb_dstacks.o clb_ptrees.o clb_quadtrees.o\
	    clb_objtrees.o clb_fixdarrays.o\
            clb_plist.o clb_pdarrays.o clb_ddarrays.o clb_sysdate.o \
            clb_intmap.o \
            clb_simple_stuff.o clb_partial_orderings.o

$(LIB): $(BASIC_LIB)
	$(AR) $(LIB) $(BASIC_LIB)

include Makefile.dependencies
