=== CONTROL/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for CONTROL part of thew CLIB library/E Prover
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Mon Jun  8 11:09:27 MET DST 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = CONTROL
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

CONTROL_LIB = cco_simplification.o cco_factoring.o\
	      cco_eqnresolving.o cco_paramodulation.o\
	      cco_forward_contraction.o  cco_clausesplitting.o\
              cco_proofproc.o

$(LIB): $(CONTROL_LIB)
	$(AR) $(LIB) $(CONTROL_LIB)

include Makefile.dependencies
