=== CONTROL/Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 clean:
 	@touch does_exist.o does_exist.a; rm *.o  *.a
-	@echo Removed compiled files
 
 # Services (provided by the master Makefile)
 
@@ -36,7 +35,9 @@
 CONTROL_LIB = cco_simplification.o cco_factoring.o\
 	      cco_eqnresolving.o cco_paramodulation.o\
 	      cco_forward_contraction.o  cco_clausesplitting.o\
-              cco_proofproc.o
+              cco_interpreted.o\
+              cco_proofproc.o cco_proc_ctrl.o cco_batch_spec.o cco_einteractive_mode.o\
+	      cco_sine.o cco_esession.o cco_eserver.o cco_scheduling.o cco_ho_inferences.o
 
 $(LIB): $(CONTROL_LIB)
 	$(AR) $(LIB) $(CONTROL_LIB)
