=== LEARN/Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 clean:
 	@touch does_exist.o does_exist.a; rm *.o  *.a
-	@echo Removed compiled files
 
 # Services (provided by the master Makefile)
