=== development_tools/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the development_tools directory
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Tue Jan 13 01:16:22 MET 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

all: $(LIB)

# Services (provided by the master Makefile)

include ../Makefile.services
