=== debian/changelog ===
eprover (2.6+ds-3) unstable; urgency=medium

  * Complete d/copyright again.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Jul 2022 23:52:46 +0200

eprover (2.6+ds-2) unstable; urgency=medium

  * Complete d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 10 Jul 2022 23:07:35 +0200

eprover (2.6+ds-1) unstable; urgency=low

  * Initial release (Closes: #1014159).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 Jul 2022 08:56:23 +0200
