=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# not an autotools build system!

override_dh_auto_build:
	./configure --prefix=debian/tmp
	make rebuild
	make man
