=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds \
https://github.com/eprover/eprover/tags .*/E-(\d\S*)\.tar\.gz
