=== CONTROL/Makefile ===
--- 
+++ 
@@ -36,11 +36,12 @@
 	      cco_eqnresolving.o cco_paramodulation.o\
 	      cco_forward_contraction.o  cco_clausesplitting.o\
               cco_interpreted.o\
-              cco_proofproc.o cco_proc_ctrl.o cco_batch_spec.o cco_einteractive_mode.o\
-	      cco_sine.o cco_esession.o cco_eserver.o cco_scheduling.o cco_ho_inferences.o
+              cco_proofproc.o cco_proc_ctrl.o cco_gproc_ctrl.o\
+              cco_batch_spec.o cco_einteractive_mode.o\
+	      cco_sine.o cco_esession.o cco_eserver.o cco_scheduling.o\
+	      cco_ho_inferences.o
 
 $(LIB): $(CONTROL_LIB)
 	$(AR) $(LIB) $(CONTROL_LIB)
 
 include Makefile.dependencies
-
