=== debian/changelog ===
eprover (3.0.03+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix clean target (Closes: #1044847).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 12 Dec 2023 15:15:05 +0100
