=== debian/control ===
Source: eprover
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: math
Priority: optional
Standards-Version: 4.6.1
Homepage: https://eprover.org
Build-Depends: debhelper-compat (= 13), help2man, picosat
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/math-team/eprover.git
Vcs-Browser: https://salsa.debian.org/math-team/eprover

Package: eprover
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Description: Equational theorem prover
 This package provides tools to prove equational theorems:
 from a mathematical specification in many-sorted first-order
 logic with equality and an hypothesis/conjecture, it
 will look for a proof.
