## eprover 3.2.0+ds

=== debian/changelog ===
eprover (3.2.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jun 2024 08:01:15 +0200

eprover (3.1.0+ds-2) unstable; urgency=medium

  * Move executables to /usr

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Jun 2024 09:51:19 +0200

eprover (3.1.0+ds-1) unstable; urgency=medium

  * Drop unused patch to simplify the Makefile.
  * New upstream release.
  * Bump standards-version to 4.7.0.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 May 2024 15:58:03 +0200
